Article ID: 2511, created on Oct 29, 2007, last review on May 10, 2014

  • Applies to:
  • Pro Control Panel Linux

AdditionalInformation

View Knowledge
Knowledge ID 1286
Product : WEBppliance for Linux
Version : 3.5.0
Topic : FAQ

Title
Unable to send Email using PHP scripts under a High Security Site if sendmail

Summary
Unable to send Email using PHP scripts under a High Security Site if sendmail option is Disabled.

Prevention


Details
The PHP mail() function internally uses the sendmail binary to send emails.
For High Security Site, php scripts are chrooted to the virtual domain filesystem at /home/virtual/domainname and hence use the sendmail binary at /home/virtual/domainname/usr/sbin/sendmail to send emails.

This sendmail binary is removed from the virtual domain filesystem when sendmail option is disabled for a site, and hence the PHP scripts under a High Security are unable to send emails.

This issue has been resolved in Webppliance Pro 3.5.16, now the sendmail binary is not removed for a site even if sendmail option is disabled.

Also, this problem is not observed for PHP scripts under Low Security Sites and Sites in 3.1 compatibility mode, as they use the main sendmail binary at /usr/sbin/sendmail which is always available.

Attachments


Related Knowledge

Related Links
 
Last ModifiedUsageSatisfiedLast Used
8/20/2004 12:59:08 PM87 10/11/2007 6:33:42 AM

4cc899da08664637a8bc437308d3ddd7 3ccb419cf98083f3bb45808fba8dbc7c 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF